Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.referencing
Interface ReferenceIdentifier

All Superinterfaces:
  Identifier

    @UML(identifier="RS_Identifier",
         specification=ISO_19115)
    public interface ReferenceIdentifier

extends Identifier

Identifier used for reference systems.

Since:
  GeoAPI 2.1
Version:
  ISO 19115

Field Summary
`static String` | `CODESPACE_KEY` Key for the `"codespace"` property to be given to the CRS factory `createFoo(…)` methods.
`static String` | `VERSION_KEY` Key for the `"version"` property to be given to the CRS factory `createFoo(…)` methods.

Fields inherited from interface Identifier
`AUTHORITY_KEY, CODE_KEY`

Method Summary
`String` | `getCodeSpace()` Name or identifier of the person or organization responsible for namespace.
`String` | `getVersion()` Version identifier for the namespace, as specified by the code authority.

Methods inherited from interface Identifier
`getAuthority, getCode`

Field Detail

### CODESPACE_KEY

    static final String CODESPACE_KEY

  Key for the `"codespace"` property to be given to the CRS factory `createFoo(…)` methods. This is used for setting the value to be returned by `getCodeSpace()`.

  See Also:
    `getCodeSpace()`, Constant Field Values

### VERSION_KEY

    static final String VERSION_KEY

  Key for the `"version"` property to be given to the CRS factory `createFoo(…)` methods. This is used for setting the value to be returned by `getVersion()`.

  See Also:
    `getVersion()`, Constant Field Values

Method Detail

### getCodeSpace

    @UML(identifier="codeSpace",
         obligation=OPTIONAL,
         specification=ISO_19115)
    String getCodeSpace()

  Name or identifier of the person or organization responsible for namespace.

### getVersion

    @UML(identifier="version",
         obligation=OPTIONAL,
         specification=ISO_19115)
    String getVersion()

  Version identifier for the namespace, as specified by the code authority. When appropriate, the edition is identified by the effective date, coded using ISO 8601 date format.

  Specified by:
    `getVersion` in interface `Identifier`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.